Hinweise zur Dokumentation

Diese Beschreibung wendet sich ausschließlich an ausgebildetes Fachpersonal der Steuerungs- und Automatisierungstechnik, das mit den geltenden nationalen Normen vertraut ist.
Zur Installation und Inbetriebnahme der Komponenten ist die Beachtung der nachfolgenden Hinweise und Erklärungen unbedingt notwendig.

Das Fachpersonal hat sicherzustellen, dass die Anwendung bzw. der Einsatz der beschriebenen Produkte alle Sicherheitsanforderungen, einschließlich sämtlicher anwendbaren Gesetze, Vorschriften, Bestimmungen und Normen erfüllt.

Disclaimer

Diese Dokumentation wurde sorgfältig erstellt. Die beschriebenen Produkte werden jedoch ständig weiter entwickelt.
Deshalb ist die Dokumentation nicht in jedem Fall vollständig auf die Übereinstimmung mit den beschriebenen Leistungsdaten, Normen oder sonstigen Merkmalen geprüft.
Falls sie technische oder redaktionelle Fehler enthält, behalten wir uns das Recht vor, Änderungen jederzeit und ohne Ankündigung vorzunehmen.
Aus den Angaben, Abbildungen und Beschreibungen in dieser Dokumentation können keine Ansprüche auf Änderung bereits gelieferter Produkte geltend gemacht werden.

Marken

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE®, XFC® und XTS® sind eingetragene und lizenzierte Marken der Beckhoff Automation GmbH.
Die Verwendung anderer in dieser Dokumentation enthaltenen Marken oder Kennzeichen durch Dritte kann zu einer Verletzung von Rechten der Inhaber der entsprechenden Bezeichnungen führen.

Patente

Die EtherCAT Technologie ist patentrechtlich geschützt, insbesondere durch folgende Anmeldungen und Patente:
EP1590927, EP1789857, DE102004044764, DE102007017835
mit den entsprechenden Anmeldungen und Eintragungen in verschiedenen anderen Ländern.

Die TwinCAT Technologie ist patentrechtlich geschützt, insbesondere durch folgende Anmeldungen und Patente:
EP0851348, US6167425 mit den entsprechenden Anmeldungen und Eintragungen in verschiedenen anderen Ländern.

Copyright

© Beckhoff Automation GmbH & Co. KG, Deutschland.
Weitergabe sowie Vervielfältigung dieses Dokuments, Verwertung und Mitteilung seines Inhalts sind verboten, soweit nicht ausdrücklich gestattet.
Zuwiderhandlungen verpflichten zu Schadenersatz. Alle Rechte für den Fall der Patent-, Gebrauchsmuster- oder Geschmacksmustereintragung vorbehalten.


Übersicht

TS6280-0030 | TwinCAT Ethernet/IP Slave CE

Getting Started

The TwinCAT EtherNet/IP Slave enables EtherNet/IP Connectivity to the TwinCAT System.

Requirements:

  • Win2000 / Windows XP: TwinCAT 2.10 Build 1309 or newer
  • Windows CE: Windows CE 5.0 (Beckhoff Windows CE image Build version 2.16) or newer
  • License Key for TwinCAT EtherNet/IP Slave Supplement product
  • Intel PRO Network Interface Card (Ethernet Controller Intel 825X)

Installation

Download TwinCAT Supplement Installer for EtherNet/IP connectivity.

Operating System:

Windows 2000 / XP/ Windows XP Embedded:

http:\\download.beckhoff.com\download\Software\TwinCAT\TwinCAT2\Supplement\TwinCAT_EthernetIP_S\Install

Windows CE:
http:\\download.beckhoff.com\download\Software\TwinCAT\TwinCAT2\Supplement\TwinCAT_EthernetIP_S_CE\Install.

Run the Installer on your programming PC and follow its instructions.

If the target operating system is Windows 2000 / Windows XP or Windows XP Embedded, the TwinCAT EtherNet/IP-Slave is now ready for Start-Up (go on with chapter "Start-Up"!).

If the target operating system is Windows CE, please follow the instructions below:

  • The folder ..\TwinCAT\CE\TwinCAT EtherNetIP Slave CE\Install\ARM contains a Cabinet-File (CAB file) for ARM-based CE runtime systems (e.g. CX9001, CX9010, CP66xx,...).
    The folder ..\TwinCAT\CE\TwinCAT EtherNetIP Slave CE\Install\X86 contains a Cabinet-File for X86-based CE runtime systems (e.g. CX1000, CX1020, CP77xx, CP62xx, CP72xx, C69xx,....)
  • Copy the file: TcEtherNetIP_S_Ce.XXXXX.CAB into a folder on the CE runtime system.
  • On the CE system: Please install (double-click the CAB file) the CE components.
  • IMPORTANT: Please suspend the CE device once after installation via "Start-> Suspend"!

Start-Up

General information

  • At the moment, the TwinCAT EtherNet/IP Slave does only support static IP-Address configurations.
    When the TwinCAT EtherNet/IP Slave configuration is beeing activated, the System is only going to start up
    in RUN-Mode if the actual address settings match the stored configuration.

First Steps

  1. Start the TwinCAT System Manager, create a new project and use the context menu after a mouse-click on "I/O Devices", to append a device in the I/O-Configuration

  2. Choose "Real-Time Ethernet" from the Ethernet device type section as shown below

  3. On the newly added "Real-Time Ethernet" device, append the "EtherNet/IP Slave Protocol" via the context menu.

  4. It's necessary to define a sync master for triggering EtherNet/IP Slave Protocol.
    - Option "Standard": the sync master has to be defined manually by the user. (f. e. PLC Task ) (this option is not supported by CX9000series)
    - Option "Special Sync Task": a additional task will be created automatically
    Important: The Sync Tasks Cycle Time represents the lowest border of the EtherNet/IP cycle time (RPI)
    (e.g. task cycle time = 10ms ==> EtherNet/IP RPImin=10ms)

  5. Append an EtherNet/IP Slave Box as shown below

  6. Append a Connection (Assembly) on the EtherNet/IP Slave Box as shown below

  7. Depending on application requirements it's possible to define the size of Processdata Image separately for inputs
    and outputs from 1 up to 502 bytes. Please find an example for defining 8 Word Input Processdata as shown below.

  8. A valid EtherNet/IP Configuration is shown below

  9. The Pre-Configuration of TwinCAT EtherNet/IP Slave is finished now. Activate the configuration and go on with Integration in RSLogix5000.

Integration in RSLogix5000
  1. Open RSLogix 5000 and Create a new PLC project. When creating a new project make sure to select the correct controller type and
    controller settings. This example uses a CompactLogix (L32E) with the TwinCAT EtherNet/IP Slave Example configured as shown above.

  2. Add a new module. When adding the TwinCAT EtherNet/IP Slave box, select the "ETHERNET-MODULE", since it is a generic Ethernet/IP
    device, and it will be configured to work with the TwinCAT EtherNet/IP Slave

  3. Configuring the TwinCAT EtherNet/IP Slave in RSLogix:
    • Enter IP-Address of TwinCAT EtherNet/IP Slave
    • Choose Data Type (Comm Format)
    • The Assembly Instances will be as follows:
      • Input(Target->Originator: 101
      • Output(Originator->Target: 102
      • Configuration: 100
    • Things to keep in mind when entering the data size for I/O:
      • There will always be 4 bytes of input and 4 bytes of output data used for diagnostics.
      • The EtherNet/IP Slave Dialog View in TwinCAT Systemmanager (Subchapter "First Steps", Picture 8)
        assist you to find the correct data sizes.

  4. Choose Requested Packet Interval in ms (shall not be lower than TwinCAT EtherNet/IP Slave Sync Task Cycle Time)
    (Cycle Time in the TwinCAT Slave Example was set to 10ms)